CREATE TABLE ben_pl_bnf (
    PL_BNF_ID                    NUMBER(18, 0) ,
    PRMRY_CNTNGNT_CD             VARCHAR2(120) ,
    PCT_DSGD_NUM                 NUMBER(15, 2) ,
    AMT_DSGD_VAL                 NUMBER        ,
    AMT_DSGD_UOM                 VARCHAR2(120) ,
    ADDL_INSTRN_TXT              VARCHAR2(4000),
    DSGN_THRU_DT                 DATE          ,
    DSGN_STRT_DT                 DATE          ,
    PRTT_ENRT_RSLT_ID            NUMBER(18, 0) ,
    ORGANIZATION_ID              NUMBER(18, 0) ,
    BNF_PERSON_ID                NUMBER(18, 0) ,
    TTEE_PERSON_ID               NUMBER(18, 0) ,
    BUSINESS_GROUP_ID            NUMBER(18, 0)     NOT NULL,
    PBN_ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    PBN_ATTRIBUTE1               VARCHAR2(600) ,
    PBN_ATTRIBUTE2               VARCHAR2(600) ,
    PBN_ATTRIBUTE3               VARCHAR2(600) ,
    PBN_ATTRIBUTE4               VARCHAR2(600) ,
    PBN_ATTRIBUTE5               VARCHAR2(600) ,
    PBN_ATTRIBUTE6               VARCHAR2(600) ,
    PBN_ATTRIBUTE7               VARCHAR2(600) ,
    PBN_ATTRIBUTE8               VARCHAR2(600) ,
    PBN_ATTRIBUTE9               VARCHAR2(600) ,
    PBN_ATTRIBUTE10              VARCHAR2(600) ,
    PBN_ATTRIBUTE11              VARCHAR2(600) ,
    PBN_ATTRIBUTE12              VARCHAR2(600) ,
    PBN_ATTRIBUTE13              VARCHAR2(600) ,
    PBN_ATTRIBUTE14              VARCHAR2(600) ,
    PBN_ATTRIBUTE15              VARCHAR2(600) ,
    PBN_ATTRIBUTE16              VARCHAR2(600) ,
    PBN_ATTRIBUTE17              VARCHAR2(600) ,
    PBN_ATTRIBUTE18              VARCHAR2(600) ,
    PBN_ATTRIBUTE19              VARCHAR2(600) ,
    PBN_ATTRIBUTE20              VARCHAR2(600) ,
    PBN_ATTRIBUTE21              VARCHAR2(600) ,
    PBN_ATTRIBUTE22              VARCHAR2(600) ,
    PBN_ATTRIBUTE23              VARCHAR2(600) ,
    PBN_ATTRIBUTE24              VARCHAR2(600) ,
    PBN_ATTRIBUTE25              VARCHAR2(600) ,
    PBN_ATTRIBUTE26              VARCHAR2(600) ,
    PBN_ATTRIBUTE27              VARCHAR2(600) ,
    PBN_ATTRIBUTE28              VARCHAR2(600) ,
    PBN_ATTRIBUTE29              VARCHAR2(600) ,
    PBN_ATTRIBUTE30              VARCHAR2(600) ,
    PBN_ATTRIBUTE_NUMBER1        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER2        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER3        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER4        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER5        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER6        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER7        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER8        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER9        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER10       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER11       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER12       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER13       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER14       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER15       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER16       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER17       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER18       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER19       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER20       NUMBER        ,
    PBN_ATTRIBUTE_DATE1          DATE          ,
    PBN_ATTRIBUTE_DATE2          DATE          ,
    PBN_ATTRIBUTE_DATE3          DATE          ,
    PBN_ATTRIBUTE_DATE4          DATE          ,
    PBN_ATTRIBUTE_DATE5          DATE          ,
    PBN_ATTRIBUTE_DATE6          DATE          ,
    PBN_ATTRIBUTE_DATE7          DATE          ,
    PBN_ATTRIBUTE_DATE8          DATE          ,
    PBN_ATTRIBUTE_DATE9          DATE          ,
    PBN_ATTRIBUTE_DATE10         DATE          ,
    PBN_ATTRIBUTE_DATE11         DATE          ,
    PBN_ATTRIBUTE_DATE12         DATE          ,
    PBN_ATTRIBUTE_DATE13         DATE          ,
    PBN_ATTRIBUTE_DATE14         DATE          ,
    PBN_ATTRIBUTE_DATE15         DATE          ,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    PROGRAM_APP_NAME             VARCHAR2(120) ,
    PROGRAM_NAME                 VARCHAR2(120) ,
    PROGRAM_UPDATE_DATE          DATE          ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    PER_IN_LER_ID                NUMBER(18, 0)     NOT NULL,
    ENDED_PER_IN_LER_ID          NUMBER(18, 0) ,
    ENDED_CVG_THRU_DT            DATE          ,
    PRVS_CVG_STRT_DT             DATE          ,
    PRVS_CVG_THRU_DT             DATE          ,
    ORGNL_OIPL_DSGN_STRT_DT      DATE          ,
    ORGNL_PLAN_DSGN_STRT_DT      DATE          ,
    CVRD_FLAG                    VARCHAR2(120) ,
    ELIG_PER_ELCTBL_CHC_ID       NUMBER(18, 0) ,
    CVRD_PERCENTAGE              NUMBER(22, 9) ,
    CVRD_CNTNGT_PERCENTAGE       NUMBER(22, 9) ,
    CVRD_AMT                     NUMBER        ,
    CVRD_CNTNGT_AMT              NUMBER        ,
    CVRD_PRMRY_CNTNGNT_CD        VARCHAR2(120) ,
    CTFN_REQD_FLAG               VARCHAR2(120) ,
    RLNSHP_CD                    VARCHAR2(120) ,
    ENRT_BNFT_ID                 NUMBER(18, 0) ,
    CNTNGT_BNFS_ALWD_FLAG        VARCHAR2(480) ,
    SUSPEND_FLAG                 VARCHAR2(120) ,
    BNF_OVRD                     VARCHAR2(80)  ,
    CONFIG_NUM_1                 NUMBER        ,
    CONFIG_NUM_2                 NUMBER        ,
    CONFIG_NUM_3                 NUMBER        ,
    CONFIG_NUM_4                 NUMBER        ,
    CONFIG_NUM_5                 NUMBER        ,
    CONFIG_NUM_6                 NUMBER        ,
    CONFIG_NUM_7                 NUMBER        ,
    CONFIG_NUM_8                 NUMBER        ,
    CONFIG_NUM_9                 NUMBER        ,
    CONFIG_NUM_10                NUMBER        ,
    CONFIG_CHAR_1                VARCHAR2(960) ,
    CONFIG_CHAR_2                VARCHAR2(960) ,
    CONFIG_CHAR_3                VARCHAR2(960) ,
    CONFIG_CHAR_4                VARCHAR2(960) ,
    CONFIG_CHAR_5                VARCHAR2(960) ,
    CONFIG_CHAR_6                VARCHAR2(960) ,
    CONFIG_CHAR_7                VARCHAR2(960) ,
    CONFIG_CHAR_8                VARCHAR2(960) ,
    CONFIG_CHAR_9                VARCHAR2(960) ,
    CONFIG_CHAR_10               VARCHAR2(960) ,
    CONFIG_DATE_1                DATE          ,
    CONFIG_DATE_2                DATE          ,
    CONFIG_DATE_3                DATE          ,
    CONFIG_DATE_4                DATE          ,
    CONFIG_DATE_5                DATE          ,
    CONFIG_DATE_6                DATE          ,
    CONFIG_DATE_7                DATE          ,
    CONFIG_DATE_8                DATE          ,
    CONFIG_DATE_9                DATE          ,
    CONFIG_DATE_10               DATE          ,
    INTERIM_PRTT_ENRT_RSLT_ID    NUMBER(18, 0) ,
    PL_BNF_ID                    NUMBER(18, 0) ,
    PRMRY_CNTNGNT_CD             VARCHAR2(120) ,
    PCT_DSGD_NUM                 NUMBER(15, 2) ,
    AMT_DSGD_VAL                 NUMBER        ,
    AMT_DSGD_UOM                 VARCHAR2(120) ,
    ADDL_INSTRN_TXT              VARCHAR2(4000),
    DSGN_THRU_DT                 DATE          ,
    DSGN_STRT_DT                 DATE          ,
    PRTT_ENRT_RSLT_ID            NUMBER(18, 0) ,
    ORGANIZATION_ID              NUMBER(18, 0) ,
    BNF_PERSON_ID                NUMBER(18, 0) ,
    TTEE_PERSON_ID               NUMBER(18, 0) ,
    BUSINESS_GROUP_ID            NUMBER(18, 0)     NOT NULL,
    PBN_ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    PBN_ATTRIBUTE1               VARCHAR2(600) ,
    PBN_ATTRIBUTE2               VARCHAR2(600) ,
    PBN_ATTRIBUTE3               VARCHAR2(600) ,
    PBN_ATTRIBUTE4               VARCHAR2(600) ,
    PBN_ATTRIBUTE5               VARCHAR2(600) ,
    PBN_ATTRIBUTE6               VARCHAR2(600) ,
    PBN_ATTRIBUTE7               VARCHAR2(600) ,
    PBN_ATTRIBUTE8               VARCHAR2(600) ,
    PBN_ATTRIBUTE9               VARCHAR2(600) ,
    PBN_ATTRIBUTE10              VARCHAR2(600) ,
    PBN_ATTRIBUTE11              VARCHAR2(600) ,
    PBN_ATTRIBUTE12              VARCHAR2(600) ,
    PBN_ATTRIBUTE13              VARCHAR2(600) ,
    PBN_ATTRIBUTE14              VARCHAR2(600) ,
    PBN_ATTRIBUTE15              VARCHAR2(600) ,
    PBN_ATTRIBUTE16              VARCHAR2(600) ,
    PBN_ATTRIBUTE17              VARCHAR2(600) ,
    PBN_ATTRIBUTE18              VARCHAR2(600) ,
    PBN_ATTRIBUTE19              VARCHAR2(600) ,
    PBN_ATTRIBUTE20              VARCHAR2(600) ,
    PBN_ATTRIBUTE21              VARCHAR2(600) ,
    PBN_ATTRIBUTE22              VARCHAR2(600) ,
    PBN_ATTRIBUTE23              VARCHAR2(600) ,
    PBN_ATTRIBUTE24              VARCHAR2(600) ,
    PBN_ATTRIBUTE25              VARCHAR2(600) ,
    PBN_ATTRIBUTE26              VARCHAR2(600) ,
    PBN_ATTRIBUTE27              VARCHAR2(600) ,
    PBN_ATTRIBUTE28              VARCHAR2(600) ,
    PBN_ATTRIBUTE29              VARCHAR2(600) ,
    PBN_ATTRIBUTE30              VARCHAR2(600) ,
    PBN_ATTRIBUTE_NUMBER1        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER2        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER3        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER4        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER5        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER6        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER7        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER8        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER9        NUMBER        ,
    PBN_ATTRIBUTE_NUMBER10       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER11       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER12       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER13       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER14       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER15       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER16       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER17       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER18       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER19       NUMBER        ,
    PBN_ATTRIBUTE_NUMBER20       NUMBER        ,
    PBN_ATTRIBUTE_DATE1          DATE          ,
    PBN_ATTRIBUTE_DATE2          DATE          ,
    PBN_ATTRIBUTE_DATE3          DATE          ,
    PBN_ATTRIBUTE_DATE4          DATE          ,
    PBN_ATTRIBUTE_DATE5          DATE          ,
    PBN_ATTRIBUTE_DATE6          DATE          ,
    PBN_ATTRIBUTE_DATE7          DATE          ,
    PBN_ATTRIBUTE_DATE8          DATE          ,
    PBN_ATTRIBUTE_DATE9          DATE          ,
    PBN_ATTRIBUTE_DATE10         DATE          ,
    PBN_ATTRIBUTE_DATE11         DATE          ,
    PBN_ATTRIBUTE_DATE12         DATE          ,
    PBN_ATTRIBUTE_DATE13         DATE          ,
    PBN_ATTRIBUTE_DATE14         DATE          ,
    PBN_ATTRIBUTE_DATE15         DATE          ,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    REQUEST_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    PROGRAM_APP_NAME             VARCHAR2(120) ,
    PROGRAM_NAME                 VARCHAR2(120) ,
    PROGRAM_UPDATE_DATE          DATE          ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    PER_IN_LER_ID                NUMBER(18, 0)     NOT NULL,
    ENDED_PER_IN_LER_ID          NUMBER(18, 0) ,
    ENDED_CVG_THRU_DT            DATE          ,
    PRVS_CVG_STRT_DT             DATE          ,
    PRVS_CVG_THRU_DT             DATE          ,
    CVRD_FLAG                    VARCHAR2(120) ,
    ELIG_PER_ELCTBL_CHC_ID       NUMBER(18, 0) ,
    CVRD_PERCENTAGE              NUMBER(22, 9) ,
    CVRD_CNTNGT_PERCENTAGE       NUMBER(22, 9) ,
    CVRD_AMT                     NUMBER        ,
    CVRD_CNTNGT_AMT              NUMBER        ,
    CVRD_PRMRY_CNTNGNT_CD        VARCHAR2(120) ,
    CTFN_REQD_FLAG               VARCHAR2(120) ,
    RLNSHP_CD                    VARCHAR2(120) ,
    ENRT_BNFT_ID                 NUMBER(18, 0) ,
    CNTNGT_BNFS_ALWD_FLAG        VARCHAR2(480) ,
    SUSPEND_FLAG                 VARCHAR2(120) ,
    ORGNL_OIPL_DSGN_STRT_DT      DATE          ,
    ORGNL_PLAN_DSGN_STRT_DT      DATE          ,
    BNF_OVRD                     VARCHAR2(80)  ,
    CONFIG_NUM_1                 NUMBER        ,
    CONFIG_NUM_2                 NUMBER        ,
    CONFIG_NUM_3                 NUMBER        ,
    CONFIG_NUM_4                 NUMBER        ,
    CONFIG_NUM_5                 NUMBER        ,
    CONFIG_NUM_6                 NUMBER        ,
    CONFIG_NUM_7                 NUMBER        ,
    CONFIG_NUM_8                 NUMBER        ,
    CONFIG_NUM_9                 NUMBER        ,
    CONFIG_NUM_10                NUMBER        ,
    CONFIG_CHAR_1                VARCHAR2(960) ,
    CONFIG_CHAR_2                VARCHAR2(960) ,
    CONFIG_CHAR_3                VARCHAR2(960) ,
    CONFIG_CHAR_4                VARCHAR2(960) ,
    CONFIG_CHAR_5                VARCHAR2(960) ,
    CONFIG_CHAR_6                VARCHAR2(960) ,
    CONFIG_CHAR_7                VARCHAR2(960) ,
    CONFIG_CHAR_8                VARCHAR2(960) ,
    CONFIG_CHAR_9                VARCHAR2(960) ,
    CONFIG_CHAR_10               VARCHAR2(960) ,
    CONFIG_DATE_1                DATE          ,
    CONFIG_DATE_2                DATE          ,
    CONFIG_DATE_3                DATE          ,
    CONFIG_DATE_4                DATE          ,
    CONFIG_DATE_5                DATE          ,
    CONFIG_DATE_6                DATE          ,
    CONFIG_DATE_7                DATE          ,
    CONFIG_DATE_8                DATE          ,
    CONFIG_DATE_9                DATE          ,
    CONFIG_DATE_10               DATE          ,
    INTERIM_PRTT_ENRT_RSLT_ID    NUMBER(18, 0) ,
    CONSTRAINT pk_ben_pl_bnf PRIMARY KEY (PL_BNF_ID, PL_BNF_ID)
);
